Bug 105696 - Questionable explicit perl-DateManip dependency
Summary: Questionable explicit perl-DateManip dependency
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: foomatic   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-26 16:41 UTC by Michael Schwendt
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-29 12:35:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2003-09-26 16:41:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
$ rpm --redhatrequires perl-DateManip
foomatic-3.0.0-8

$ rpm -qR foomatic | grep Date
perl-DateManip >= 5.39

But Foomatic doesn't use Date::Manip anywhere. The older foomatic
foomatic-2.0.2-15.1 (on Shrike) didn't use it either. It contains a mention of
CPAN DateManip-5.39.tar.gz in a Debian GNU/Linux related comment only.

Conclusively, this explicit "perl-DateManip >= 5.39" dependency should not be in
package "foomatic". Instead, it's an XML Perl module that depends on DateManip,
look:

$ rpm --redhatrequires 'perl(Date::Manip)'
perl-libxml-enno-1.02-29

$ rpm --redhatrequires perl-libxml-enno
foomatic-3.0.0-8

Comment 1 Tim Waugh 2003-09-29 12:35:13 UTC
Thanks.  Will be fixed in the next build.


Note You need to log in before you can comment on or make changes to this bug.